package test;



/**
 *	XDataGrid Component
 *
 *	Copyright (C) 2004  Kamran Zafar
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


//+++++++++ Test class


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.sql.*;
import java.util.*;

import xeus.db.datagrid.*;

public class Test
extends JFrame {
    private XDataGrid grid;
    private XDataSet dataset;
    
    private Connection con;
    
    public Test() {
        grid = new XDataGrid();
        init();
        getContentPane().add(grid, BorderLayout.CENTER);
        
        JPanel p = new JPanel();
        
        JButton prev = new JButton(" < ");
        
        prev.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent ae) {
                grid.previous();
            }
        });
        
        JButton next = new JButton(" > ");
        
        next.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent ae) {
                grid.next();
            }
        });
        
        p.add(prev);
        p.add(next);
        
        getContentPane().add(p, BorderLayout.SOUTH);
        
        setSize(200, 200);
        show();
    }
    
    public void init() {
        try {
            
            /**
             * Below is shown how a XDataSet object can be created from 
             * an xml file. The specs of XDataSet XML can be seen 
             * from the "test.xml" file and xeus.db.datagrid.xml.dtd.xdataset.dtd
             */
           
            dataset=XDataSet.createXDataSet("src/test/test.xml");

            /**
             *   The Database used here is an example
             *   to display the capabilities of XDataGrid
             *   - This database is not provided with the source
             */
            
//            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
//            con = DriverManager.getConnection("jdbc:odbc:USERDB");
//            
//            Statement st1 = con.createStatement();
//            ResultSet rs1 = st1.executeQuery("select * from users");
//            
//            Statement st2 = con.createStatement();
//            ResultSet rs2 = st2.executeQuery("select * from employees");
            
            Vector columns=new Vector();
            
            columns.add("Salutation");
            columns.add("Name");
            
            Vector rows=new Vector();
            rows.add(getRow());
            
//            dataset.addTable(rs1);
//            dataset.addTable(rs2);
            dataset.addTable(rows,columns);
            grid.setDataBindings(dataset, 1);
            
            /**
             * 
             * Below is shown how xml for a XDataSet can be generated
             */
            
            dataset.writeXML("src/test/test_gen.xml");
            
        }
        catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    public Vector getRow() {
        Vector v=new Vector();
        
        v.add("Hello");
        v.add("World");
        
        return v;
    }
    
    public static void main(String[] args) {
        Test test1 = new Test();
    }
    
}
