
/**
 *	XDataGrid Component
 *
 *	Copyright (C) 2004  Kamran Zafar
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package xeus.db.datagrid;

import javax.swing.table.AbstractTableModel;
import java.sql.*;
import java.util.Vector;

public class XDataGridTableModel
extends AbstractTableModel {
    
    Vector rows;
    Vector columns;
    
    public XDataGridTableModel() {
        rows = new Vector();
        columns = new Vector();
    }
    
    public void setResultSet(ResultSet rs) throws SQLException {
        ResultSetMetaData rsmd = rs.getMetaData();
        
        for (int i = 1; i <= rsmd.getColumnCount(); i++) {
            columns.add(rsmd.getColumnName(i));
            
        }
        while (rs.next()) {
            Vector row = new Vector();
            
            for (int i = 1; i <= rsmd.getColumnCount(); i++) {
                row.add(rs.getObject(i));
                
            }
            rows.add(row);
        }
    }
    
    public void setData(Vector rows, Vector columns) {
        this.rows=rows;
        this.columns=columns;
    }
    
    public int getColumnCount() {
        return columns.size();
    }
    
    public int getRowCount() {
        return rows.size();
    }
    
    public Object getValueAt(int rowIndex, int columnIndex) {
        return ( (Vector) rows.elementAt(rowIndex)).elementAt(columnIndex);
    }
    
    public Object getRowAt(int rowIndex) {
        return ( (Vector) rows.elementAt(rowIndex));
    }
    
    public String getColumnName(int columnIndex) {
        return (String)columns.elementAt(columnIndex);
    }
    
    public Vector getRows() {
        return rows;
    }
    
}
